commit:     0bb75edcb56e4fe87bac5059fe0e7004883c021a
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 22 09:19:39 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 22 09:19:39 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0bb75edc

games-arcade/lbreakout: Stop using games.eclass

Package-Manager: Portage-2.3.31, Repoman-2.3.9

 games-arcade/lbreakout/lbreakout-010315-r1.ebuild | 30 +++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/games-arcade/lbreakout/lbreakout-010315-r1.ebuild 
b/games-arcade/lbreakout/lbreakout-010315-r1.ebuild
new file mode 100644
index 00000000000..4a465d929cf
--- /dev/null
+++ b/games-arcade/lbreakout/lbreakout-010315-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Breakout clone written with the SDL library"
+HOMEPAGE="http://lgames.sourceforge.net/LBreakout/";
+SRC_URI="mirror://sourceforge/lgames/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=">=media-libs/libsdl-1.1.5"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+       sed -i \
+               -e '/^sdir=/s:$datadir/games:$datadir:' \
+               -e '/^hdir=/s:/var/lib/games:$localstatedir:' \
+               configure \
+               || die "sed failed"
+}
+
+src_install() {
+       HTML_DOCS="lbreakout/manual/*"
+       default
+}

Reply via email to